Bug 210988 - [exp-run] Update CMake to 3.6.0.
Summary: [exp-run] Update CMake to 3.6.0.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Raphael Kubo da Costa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-10 21:14 UTC by Raphael Kubo da Costa
Modified: 2016-07-23 12:36 UTC (History)
1 user (show)

See Also:


Attachments
Patch v1 (29.14 KB, patch)
2016-07-10 21:14 UTC, Raphael Kubo da Costa
no flags Details | Diff
Patch v2 (43.61 KB, patch)
2016-07-16 11:10 UTC, Raphael Kubo da Costa
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Raphael Kubo da Costa freebsd_committer 2016-07-10 21:14:49 UTC
Created attachment 172358 [details]
Patch v1

kde@ would like to request an exp-run for CMake 3.6.0.

Patch: <https://people.freebsd.org/~rakuco/exp-runs/cmake-3.6.0-v1.patch>
Comment 1 Antoine Brodin freebsd_committer 2016-07-12 17:59:03 UTC
New failures on 9.3:

+ {"origin"=>"games/aquaria", "pkgname"=>"aquaria-1.002.20", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/converseen", "pkgname"=>"converseen-0.9.2_1", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"graphics/kipi-plugin-videoslideshow", "pkgname"=>"kipi-plugin-videoslideshow-4.14.0", "phase"=>"build", "errortype"=>"makefile"}
+ {"origin"=>"math/plplot", "pkgname"=>"plplot-5.11.1_3", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"science/InsightToolkit", "pkgname"=>"InsightToolkit-4.10.0", "phase"=>"build", "errortype"=>"linker_error"}

Failure logs:

http://package22.nyi.freebsd.org/data/93amd64-default-PR210988/2016-07-12_05h42m23s/logs/errors/aquaria-1.002.20.log
http://package22.nyi.freebsd.org/data/93amd64-default-PR210988/2016-07-12_05h42m23s/logs/errors/converseen-0.9.2_1.log
http://package22.nyi.freebsd.org/data/93amd64-default-PR210988/2016-07-12_05h42m23s/logs/errors/kipi-plugin-videoslideshow-4.14.0.log
http://package22.nyi.freebsd.org/data/93amd64-default-PR210988/2016-07-12_05h42m23s/logs/errors/plplot-5.11.1_3.log
http://package22.nyi.freebsd.org/data/93amd64-default-PR210988/2016-07-12_05h42m23s/logs/errors/InsightToolkit-4.10.0.log
Comment 2 Antoine Brodin freebsd_committer 2016-07-13 09:11:24 UTC
New failures on 10.3:

+ {"origin"=>"devel/llvm-cheri", "pkgname"=>"llvm-cheri-3.8.d20160512", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"devel/llvm-cheri128", "pkgname"=>"llvm-cheri128-3.8.d20160512", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"devel/llvm37", "pkgname"=>"llvm37-3.7.1_2", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"devel/tesla", "pkgname"=>"tesla-0.0.20140425_1", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"science/InsightToolkit", "pkgname"=>"InsightToolkit-4.10.0", "phase"=>"build", "errortype"=>"linker_error"}

More than 1000 ports were skipped due to llvm37 failure

Failure logs:

http://package22.nyi.freebsd.org/data/103amd64-default-PR210988/2016-07-12_18h03m04s/logs/errors/llvm-cheri-3.8.d20160512.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR210988/2016-07-12_18h03m04s/logs/errors/llvm-cheri128-3.8.d20160512.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR210988/2016-07-12_18h03m04s/logs/errors/llvm37-3.7.1_2.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR210988/2016-07-12_18h03m04s/logs/errors/tesla-0.0.20140425_1.log
http://package22.nyi.freebsd.org/data/103amd64-default-PR210988/2016-07-12_18h03m04s/logs/errors/InsightToolkit-4.10.0.log
Comment 3 commit-hook freebsd_committer 2016-07-16 10:52:30 UTC
A commit references this bug:

Author: rakuco
Date: Sat Jul 16 10:52:14 UTC 2016
New revision: 418628
URL: https://svnweb.freebsd.org/changeset/ports/418628

Log:
  Add a patch (sent upstream) to make configuration work with CMake 3.6.0.

  PR:		210988

Changes:
  head/math/plplot/files/patch-cmake_modules_pkg-config.cmake
Comment 4 Raphael Kubo da Costa freebsd_committer 2016-07-16 11:10:52 UTC
Created attachment 172577 [details]
Patch v2

Patch v2 is up and should fare better: <https://people.freebsd.org/~rakuco/exp-runs/cmake-3.6.0-v2.patch>
Comment 5 Antoine Brodin freebsd_committer 2016-07-19 22:05:01 UTC
There is 1 new failure:

+ {"origin"=>"graphics/alembic", "pkgname"=>"alembic-1.5.8_1", "phase"=>"configure", "errortype"=>"???"}

Failure log:

http://package22.nyi.freebsd.org/data/101amd64-default-PR210988/2016-07-18_07h10m24s/logs/errors/alembic-1.5.8_1.log
Comment 6 commit-hook freebsd_committer 2016-07-23 12:19:14 UTC
A commit references this bug:

Author: rakuco
Date: Sat Jul 23 12:19:07 UTC 2016
New revision: 418962
URL: https://svnweb.freebsd.org/changeset/ports/418962

Log:
  Allow HDF5 to be found with CMake >= 3.6.0.

  CMake's FindHDF5.cmake underwent some refactoring upstream and it now respects
  the HDF5_ROOT variable in more places and separates HDF5_LIBRARIES from
  HDF5_HL_LIBRARIES.

  Do some slight adjustments to the Alembic port for it to continue working with
  the upcoming CMake 3.6.1 (they are no-ops with CMake 3.5.2 which is currently
  in the ports tree):
  - Set HDF5_ROOT via CMAKE_ARGS so that Alembic does not set it to a nonsensical
    value.
  - Add HDF5_HL_LIBRARIES to ALEMBIC_HDF5_LIBS so that libhdf5_hl.so continues to
    be passed to the linker.

  PR:		210988

Changes:
  head/graphics/alembic/Makefile
  head/graphics/alembic/files/patch-build_AlembicHDF5.cmake
Comment 7 Raphael Kubo da Costa freebsd_committer 2016-07-23 12:26:11 UTC
Alright, CMake 3.6.1 was released and contains several patches I had to add in files/. The other changes since 3.6.0 are not relevant to us, so I'll land 3.6.1 directly to the tree without another exp-run.
Comment 8 commit-hook freebsd_committer 2016-07-23 12:33:16 UTC
A commit references this bug:

Author: rakuco
Date: Sat Jul 23 12:32:20 UTC 2016
New revision: 418963
URL: https://svnweb.freebsd.org/changeset/ports/418963

Log:
  Update CMake to 3.6.1.

  https://blog.kitware.com/cmake-3-6-0-available-for-download/
  https://blog.kitware.com/cmake-3-6-1-available-for-download/

  PR:		210988

Changes:
  head/devel/cmake/Makefile
  head/devel/cmake/distinfo
  head/devel/cmake/files/patch-git_5ec17e61
  head/devel/cmake/pkg-plist
  head/devel/cmake-doc/Makefile
  head/devel/cmake-doc/pkg-plist
  head/devel/cmake-gui/Makefile
  head/devel/cmake-gui/files/patch-git_5ec17e61
  head/devel/cmake-modules/pkg-plist